from typing import List

import brewman.schemas.master as schemas

from fastapi import APIRouter, Depends

from ..core.security import get_current_active_user as get_user
from ..models.master import AccountType
from ..schemas.auth import UserToken


router = APIRouter()


@router.get("", response_model=List[schemas.AccountType])
def account_type_list(user: UserToken = Depends(get_user)):
    return [schemas.AccountType(id=item.id, name=item.name) for item in AccountType.list()]
