/*
We recommend eventually switching this configuration to extend from
the recommended rulesets in typescript-eslint.
https://github.com/typescript-eslint/tslint-to-eslint-config/blob/master/docs/FAQs.md

Happy linting! 💖
*/
module.exports = {
  "extends": [
    "plugin:@angular-eslint/recommended",
    // AirBnB Styleguide rules
    "airbnb-typescript/base",
    // Settings for Prettier
    "prettier",
    "prettier/@typescript-eslint",
    "prettier/react",
  ],
  "env": {
    "browser": true,
    "node": true
  },
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "project": "tsconfig.json",
    "ecmaVersion": 2020,
    "sourceType": "module"
  },
  "plugins": [
    "eslint-plugin-import",
    "eslint-plugin-jsdoc",
    "@angular-eslint/eslint-plugin",
    "@typescript-eslint",
  ],
  "ignorePatterns": ["/src/**/*.spec.ts", "src/test.ts", "src/polyfills.ts"],
  "rules": {
    "import/prefer-default-export": "off",
    "no-param-reassign": ["error", { "props": false }],
    "@typescript-eslint/lines-between-class-members": ["error", "always", { "exceptAfterSingleLine": true }],
    "class-methods-use-this": ["error", {"exceptMethods": ["disconnect", "displayFn", "transform"]}],
    "import/order": ["error", {"alphabetize": {"order": "asc", "caseInsensitive": true}, "newlines-between": "always"}],
    "@typescript-eslint/no-explicit-any": "off", // Disabled for now, but needed to transition to strict compiling
  }
};
