import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { catchError } from 'rxjs/operators';

import { ErrorLoggerService } from '../core/error-logger.service';

import { BalanceSheet } from './balance-sheet';

const url = '/api/balance-sheet';
const serviceName = 'BalanceSheetService';

@Injectable({
  providedIn: 'root',
})
export class BalanceSheetService {
  constructor(private http: HttpClient, private log: ErrorLoggerService) {}

  list(date: string): Observable<BalanceSheet> {
    const listUrl = date === null ? url : `${url}/${date}`;
    return <Observable<BalanceSheet>>(
      this.http
        .get<BalanceSheet>(listUrl)
        .pipe(catchError(this.log.handleError(serviceName, 'list')))
    );
  }
}
