import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ClientDetailComponent } from './client-detail/client-detail.component';
import { ClientListResolver } from './client-list-resolver.service';
import { ClientListComponent } from './client-list/client-list.component';
import { ClientResolver } from './client-resolver.service';

const clientRoutes: Routes = [
  {
    path: '',
    component: ClientListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres',
    },
    resolve: {
      list: ClientListResolver,
    },
  },
  {
    path: ':id',
    component: ClientDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres',
    },
    resolve: {
      item: ClientResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(clientRoutes)],
  exports: [RouterModule],
  providers: [ClientListResolver, ClientResolver],
})
export class ClientRoutingModule {}
