import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ProductLedgerResolver } from './product-ledger-resolver.service';
import { ProductLedgerComponent } from './product-ledger.component';

const productLedgerRoutes: Routes = [
  {
    path: '',
    component: ProductLedgerComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: ProductLedgerResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':id',
    component: ProductLedgerComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Ledger',
    },
    resolve: {
      info: ProductLedgerResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(productLedgerRoutes)],
  exports: [RouterModule],
  providers: [ProductLedgerResolver],
})
export class ProductLedgerRoutingModule {}
