import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { LockInformationResolver } from './lock-information-resolver.service';
import { MaintenanceResolver } from './maintenance-resolver.service';
import { SettingsComponent } from './settings.component';

const settingsRoutes: Routes = [
  {
    path: '',
    component: SettingsComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Maintenance', // 'Lock Date'
    },
    resolve: {
      maintenance: MaintenanceResolver,
      lockInformation: LockInformationResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(settingsRoutes)],
  exports: [RouterModule],
})
export class SettingsRoutingModule {}
