import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { TrialBalance } from './trial-balance';
import { TrialBalanceService } from './trial-balance.service';

@Injectable({
  providedIn: 'root',
})
export class TrialBalanceResolver implements Resolve<TrialBalance> {
  constructor(private ser: TrialBalanceService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<TrialBalance> {
    const date = route.paramMap.get('date');
    return this.ser.list(date);
  }
}
