import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { catchError } from 'rxjs/operators';

import { ErrorLoggerService } from '../core/error-logger.service';

import { Unposted } from './unposted';

const url = '/api/unposted';
const serviceName = 'UnpostedService';

@Injectable({
  providedIn: 'root',
})
export class UnpostedService {
  constructor(private http: HttpClient, private log: ErrorLoggerService) {}

  list(): Observable<Unposted[]> {
    return <Observable<Unposted[]>>(
      this.http.get<Unposted[]>(url).pipe(catchError(this.log.handleError(serviceName, 'list')))
    );
  }
}
